Subject: #1159 POLL RESULT - posting-account etcetera

From: Harald Alvestrand <[email-masked]>
Date: Mon, 13 Mar 2006 16:47:52 +0100

The March 3 poll I sent out was:

> After reviewing discussion again....
>
> a NEW proposed alternate text:
>
>  The "posting-account" <parameter> identifies the source from which
>  that news server received the article, in a notation that can be
>  interpreted by the news server admin. This notation can include any
>  info the admin deems pertinent, such as the authorized and/or
>  authenticated identity of the poster. In order to limit the exposure
>  of personal data, it SHOULD be given in a form that can't be interpreted
>  by other sites, but two messages posted from the same account SHOULD
>  have the same value of "posting-account".
>
>  The "sender" <parameter> identifies a mailbox that the news server
>  configuration shows as one that can be used to reach the user posting 
> the article. There is
>  no implied relationship between the "sender" parameter and the "From"
>  or "Sender" header fields of the article.
>
>  It is a matter of local policy whether to include the "posting-account"
>  <parameter>, the "sender" <parameter>, both, or neither.
>
> I'm asking Ken to include this text in -07; I believe it's clearer 
> than what's there now.
>
> The change from the previous version is that the constancy of 
> "posting-account" has been noted. But the discussion did not show any 
> consistent support for keeping any of these parameters, so I'm making 
> this another poll....
>
> A) Accept text above - keep posting-account and sender parameters
>
> B) Remove posting-account from the spec, keep sender
>
> C) Remove sender from the spec, keep posting-account
>
> D) Remove both sender and posting-account from the spec
>
> E) I have another opinion
>
> The text above will be adjusted accordingly if anything is removed; if 
> you want to suggest specific modifications to the text, please REMOVE 
> the word "POLL" from this subject line.

The result:

A)
Charles Lindsey (vote for)
B)
C)
Russ Allbery
Charles Lindsey (could live with)
Frank Ellermann
Richard Clayton
D)
E)
Richard Clayton (questions the value of SHOULD)

I declare rough consensus that the sender will be removed from the spec, 
and posting-account will be kept. Richard Clayton's comment seems to be 
reasonable - but I think it applies to the first SHOULD, not the second.

New text:

The "posting-account" <parameter> identifies the source from which
 that news server received the article, in a notation that can be
 interpreted by the news server admin. This notation can include any
 info the admin deems pertinent, such as the authorized and/or
 authenticated identity of the poster. In order to limit the exposure
 of personal data, it can be given in a form that can't be interpreted
 by other sites, but two messages posted from the same account SHOULD
 have the same value of "posting-account".

 It is a matter of local policy whether to include the "posting-account"
 <parameter>.

              Harald

---

From: "Charles Lindsey" <[email-masked]>
Date: Thu, 16 Mar 2006 13:51:13 GMT

> It is a matter of local policy whether to include the "posting-account"

May I suggest, for that last sentence:

  It is a matter of local policy which of the various <parameter>s to
  include.  Some of them have privacy implications which are discussed
  further in [USEAGE].

-- 
Charles H. Lindsey ---------At Home, doing my own thing------------------------
Tel: +44 161 436 6131 Fax: +44 161 436 6133   Web: http://www.cs.man.ac.uk/~chl
Email: [email-masked]      Snail: 5 Clerewood Ave, CHEADLE, SK8 3JU, U.K.
PGP: 2C15F1A9      Fingerprint: 73 6D C2 51 93 A0 01 E7 65 E8 64 7E 14 A4 AB A5